import 'package:http/http.dart' as http;

HttpCLientFactory getHttpClientFactory() =>  throw UnsupportedError('Cannot create http client');


class HttpCLientFactory {
  http.Client createHttpClient() {
    // Check if running on the Web
    /*if (kIsWeb) {
      var client = http.Client();
      (client as BrowserClient).withCredentials = true;
      return client;
    } else if (universal_io.Platform.isAndroid || universal_io.Platform.isIOS) {
      // Platform-specific logic for Android and iOS
      return http.Client();
    } else {
      throw UnsupportedError('Unsupported platform');
    }*/
    throw UnsupportedError('Cannot create http client');
  }
}